Subject: Re: [sidr] some questions / comments on provisioning (up/down)

From: Robert Loomans <[email-masked]>
Date: Mon, 16 Aug 2010 14:02:27 +1000

On 19/07/2010, at 23:27, Tim Bruijnzeels wrote:

> I proposed the dedicated code because I figured we could bounce this
> back when we see the same IP hammering us, without having to inspect the
> actual request (which requires validating the CMS etc). However now that
> I think about it a bit more, this would still require that we generate a
> CMS for the response...

Indeed.

> So to conclude: I think I would prefer an http status return in this
> case to minimise server processing power. Maybe something similar to
> validation failure in paragraph 3.2: HTTP 400 Bad Data

There is an existing HTTP code for this: 503 Service Unavailable.

Rob

-- 
Robert Loomans                         email:       [email-masked]
Senior Software Engineer, APNIC        sip:    [email-masked]
http://www.apnic.net/                  phone:         +61 7 3858 3100